
Redmine - Defect #27066

issue parents is wrong

2017-09-24 13:36 - Randa Bustami

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

i  added a sub task to a task but when i save it appeared under another task

example

under task  69759 i had added task 253921 but it appeared under task  69755 !

pls check  screen shots attached.

Related issues:

Related to Redmine - Defect #28240: Issue parents are getting set incorrectly New

History

#1 - 2017-09-24 16:55 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#2 - 2017-09-25 08:05 - Randa Bustami

- File remdine info.PNG added

attached the redmine version version is this enough to trace the issue ?

#3 - 2017-09-25 08:35 - Toshi MARUYAMA

Could you try "Issues#rebuild_tree!" of "Issues#rebuild_single_tree!"?

source:tags/3.4.2/lib/redmine/nested_set/issue_nested_set.rb#L174

#4 - 2017-09-25 09:52 - Randa Bustami

- File 2017-09-25_09-48-27.png added

we did the following:

1- go to folder /lib/ under the main folder of redmine then to folder / redmine/  then /nested_set/ then we open file named " issue_nested_set.rb" then

we go to line #L174

and change  rebuild_tree!"  to be "rebuild_single_tree!" ( pls see attached screenshot)

2- save file

3- restart redmine

4- check the issue its still in the wrong place

also i want to ask what is the purpose of tags folder  we go directly to lib folder

#5 - 2017-09-25 11:33 - Toshi MARUYAMA

Sorry for my typo.

Could you try "Issue#rebuild_tree!" of or "Issue#rebuild_single_tree!"?

 Please revert your change.

On your console try:

$ RAILS_ENV=production rails runner 'Issue.rebuild_tree!'

 or
$ RAILS_ENV=production rails runner 'Issue.rebuild_single_tree!(1)'

 Change "1" to your parent issue id.

#6 - 2017-09-25 12:46 - Randa Bustami

- File rebuild tree result.png added

- File single rebuild tree.png added

we revert the changes and restart redmine

we tried the first command $ RAILS_ENV=production rails runner 'Issue.rebuild_tree!' but it give us error message (attached screen shot)

we restart  redmine and check still have wrong parents

we tried sencond command with the issue ID itself 253921   but it give us error message (attached screen shot)

we restart  redmine and check still have wrong parents

pls advise

#7 - 2017-09-25 13:45 - Toshi MARUYAMA

Try:

$ RAILS_ENV=production bundle exec rails runner 'Issue.rebuild_tree!'

 or

$ RAILS_ENV=production bundle exec rails runner 'Issue.rebuild_single_tree!(1)'

#8 - 2017-09-25 14:18 - Randa Bustami

- File REBUILD SINGLE TREE.png added

- File REBUILD TREE.png added

We executed the new commands but still the same error message

pls check attached screenshots

#9 - 2017-09-25 17:32 - Toshi MARUYAMA

Try:

$ RAILS_ENV=production bundle exec ruby bin/rails runner 'Issue.rebuild_tree!'

 or

$ RAILS_ENV=production bundle exec ruby bin/rails runner 'Issue.rebuild_single_tree!(1)'

#10 - 2017-09-26 11:24 - Randa Bustami

- File rebuild tree (2).png added

- File rebuid single tree2.png added

we execute the 2 command and attached the result

the rebuild tree command executed but it give error message

the rebuild single tree still cannot find it

this is critical issue for us where we build the structure of our products and must have the correct tree at view (its correct at the edit !)

#11 - 2017-09-26 11:42 - Toshi MARUYAMA

Do you revert your source change?

#12 - 2017-09-26 12:59 - Randa Bustami

- File revert changes.png added

yes we did.

pls see attached screen for  the inside code of the file

#13 - 2017-09-26 16:31 - Toshi MARUYAMA

Randa Bustami wrote:

yes we did.
 It is wrong.

See source:tags/3.4.2/lib/redmine/nested_set/issue_nested_set.rb#L174

#14 - 2017-09-27 07:42 - Randa Bustami

sorry i didn't get your point

what is exactly the wrong ?

i compared the 2 code its different ;the file you send me the link and the picture i sent you, the code it different

so how i can fix it in our file?

many thanks for your help i do appreciated

#15 - 2017-09-27 08:43 - Randa Bustami

please note we didn't change any code, we use the standard files  remdine team release

how come the code of the file we have different from the code here  " source:tags/3.4.2/lib/redmine/nested_set/issue_nested_set.rb#L174"

#16 - 2017-09-27 12:24 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Please look your source code carefully. rebuild_tree should be no argument.

Please use forum for question.

We don't provide any technical support for specific environment.

I think your issue tree was broken from long ago.

Recent Redmine prevents it.

#17 - 2017-09-27 13:35 - Randa Bustami

we had installed the version again  from the redmine and the issue is solved

many thanks for your help

#18 - 2018-02-24 07:50 - Tomoko  Shimizu

- Copied to Defect #28240: Issue parents are getting set incorrectly added

#19 - 2018-02-25 03:41 - Mischa The Evil

- Copied to deleted (Defect #28240: Issue parents are getting set incorrectly)

#20 - 2018-02-25 03:41 - Mischa The Evil

- Related to Defect #28240: Issue parents are getting set incorrectly added
